Subject: Re: [PATCH 23/25] CI: stop over-setting the $CC variable

From: SZEDER Gábor <[email-masked]>
Date: Sat, 5 Mar 2022 09:17:46 +0100

On Mon, Feb 21, 2022 at 03:46:35PM +0100, Ævar Arnfjörð Bjarmason wrote:
> As detailed in 2c8921db2b8 (travis-ci: build with the right compiler,
> 2019-01-17) the reason we started using $CC in $MAKEFLAGS as opposed
> to setting it in the environment was due to Travis CI clobbering $CC
> in the environment.

This is not what 2c8921db2b8 detailed; in fact 2c8921db2b8 detailed
the exact opposite.  Travis CI did not clobber $CC, it set $CC to what
we asked it to.  We started using $CC in $MAKEFLAGS as opposed to
setting it in the environment, because our Makefile _ignores_ $CC in
the environment.